diff --git a/configure.ac b/configure.ac
index a5bb720..11d4ca3 100644
--- a/configure.ac
+++ b/configure.ac
@@ -185,6 +185,11 @@ if test -z "$GCC"; then
 else
 
         case $host in 
+        *-apple-darwin*)
+                # -fforce-addr causes error with clang in Xcode 5.1
+                DEBUG="-g -Wall -Wno-parentheses -DDEBUG -D__NO_MATH_INLINES"
+                CFLAGS="-Wall -Wno-parentheses -O3 -fomit-frame-pointer -finline-functions -funroll-loops"
+                PROFILE="-Wall -Wno-parentheses -pg -g -O3 -fno-inline-functions -DDEBUG";;
         *)
                 DEBUG="-g -Wall -Wno-parentheses -DDEBUG -D__NO_MATH_INLINES"
                 CFLAGS="-Wall -Wno-parentheses -O3 -fforce-addr -fomit-frame-pointer -finline-functions -funroll-loops"